blackwingcat

KernelEx for Win2000

922 posts in this topic

Chrome is now working with the new kernel extension v2.2b, whatever you did to it is making it work properly again, even the version I had installed works.

I know you mentioned before that problems would occur if you added some of the Vista functions into your kernel extension, but since you've been doing it lately and we haven't seem to run into issues, would it be possible to add SHGetFolderPathEx to shell32.dll and ordinal 345 (0x0159) to comctl32.dll and see what happens?

0

Share this post


Link to post
Share on other sites

Chrome is now working with the new kernel extension v2.2b, whatever you did to it is making it work properly again, even the version I had installed works.

He removed sxs.dll and changed advapi32.dll, kernel32.dll, ntdll.dll and user32.dll. :whistle: Maybe there was some conflict?

By the way,

regsvr32 propsys.dll 6.0.6001.18000

doesn't work...

6mOC8.png

Edited by tomasz86
0

Share this post


Link to post
Share on other sites

I noticed it was smaller but I wasn't sure what he removed, but I thought that he had added stuff to advapi32.dll and kernel32.dll. :o

0

Share this post


Link to post
Share on other sites

Hello, I'm quite intrested in trying KernelEx. But I can't find the download links?. I've looked in the first page, but the page linked is all in Japanese... Could someone maybe link all the files I would need?

I would get them from the site. But I have no idea which Link is the one I should click.

0

Share this post


Link to post
Share on other sites

Generally you use the latest version of the kernel extension and core extension, as of 9/14/2012, v2.2b is the latest kernel extension and v11a is the latest core extension. Google Translate can also be useful as well. It doesn't do a perfect job but it's enough for you to get the gist of it. The English versions are listed as ENU. Hope that helps!

But this is the link you always want to use: http://blog.livedoor.jp/blackwingcat/archives/1299806.html

Another tip is he dates the releases so the rule of them also is to look for the latest date on there, that indicates it's the newer version.

Edited by SearanoX
0

Share this post


Link to post
Share on other sites

Generally you use the latest version of the kernel extension and core extension, as of 9/14/2012, v2.2b is the latest kernel extension and v11a is the latest core extension. Google Translate can also be useful as well. It doesn't do a perfect job but it's enough for you to get the gist of it. The English versions are listed as ENU. Hope that helps!

Oh alright... I didn't see it <.< That was quite dumb of me. I found it now Thanks :)

So this is the only file I need right?

Windows2000-KB935839-x86-v2-ENU.EXE

If so I think I'm ready to play around with 2000 :)

0

Share this post


Link to post
Share on other sites

@Linktopower

Scroll down more, find the version that's v22b aka v2.2b, that's the one that gives you much more benefits and added extensions. v2 only removes the "...is not a valid Win32 program" error.

@blackwingcat

I've been having a lot of internet issues since using a few of your patches. On a non-modded Windows 2000 SP4 UR1 system, my internet works fine. However, lately i get a lot of DNS can't be resolved issues or my internet just kicks me off all together. I remember once just trying a newer version of iphlpapi.dll that you had worked on and that's when a few of my issues began. Is there anything in there that could be giving me problems, especially since I'm on dialup? My internet is getting to the point where it's almost unusable and I'm working with my ISP's support and they're starting to say that it sounds like my computer isn't picking up the DNS information. Is there anything you know about this?

0

Share this post


Link to post
Share on other sites

@Linktopower

Scroll down more, find the version that's v22b aka v2.2b, that's the one that gives you much more benefits and added extensions. v2 only removes the "...is not a valid Win32 program" error.

Oh okay. thanks, I didn't think I needed anything else but it seems I do >_<, Oh well Downloading now. Thanks for the help!

0

Share this post


Link to post
Share on other sites

Sorry Double Post... Okay I downloaded the file.

Windows2000-KB935839-v22b-x86-ENU.EXE

(is that the one I needed?)

Well anyways... I execute'ed it and it extract's but after click the button Execute. It pops up with an error. "%InvalidIEVersion%"

So what does that mean?

EDIT:, never mind I think I figured out what I did wrong... I did not get the latesr kernel extension.

Edit#2: never mind i killed windows 2000... Bummer.

Edited by Linktopower
0

Share this post


Link to post
Share on other sites

@Linktopower

You need to install IE6 SP1 and IE6.0SP1-KB2722913-WINDOWS2000-X86-ENU otherwise it will not install because it relies on those two things.

0

Share this post


Link to post
Share on other sites

@Linktopower

You need to install IE6 SP1 and IE6.0SP1-KB2722913-WINDOWS2000-X86-ENU otherwise it will not install because it relies on those two things.

Oh... that's why, thanks for telling me. It seems this'll have to wait till I get near some Wifi to pick up IE6 <__<

0

Share this post


Link to post
Share on other sites

Did you use most recent dns Client ?

dnsrslvr.dll 5.0.2195.7280

http://support.microsoft.com/kb/957579

@blackwingcat

I've been having a lot of internet issues since using a few of your patcheOn a non-ms. odded Windows 2000 SP4 UR1 system, my internet works fine. However, lately i get a lot of DNS can't be resolved issues or my internet just kicks me off all together. I remember once just trying a newer version of iphlpapi.dll that you had worked on and that's when a few of my issues began. Is there anything in there that could be giving me problems, especially since I'm on dialup? My internet is getting to the point where it's almost unusable and I'm working with my ISP's support and they're starting to say that it sounds like my computer isn't picking up the DNS information. Is there anything you know about this?

Edited by blackwingcat
0

Share this post


Link to post
Share on other sites

On my environment regsvr32 propsys.dll work without problem.

Do you have xmllite ?

Chrome is now working with the new kernel extension v2.2b, whatever you did to it is making it work properly again, even the version I had installed works.

He removed sxs.dll and changed advapi32.dll, kernel32.dll, ntdll.dll and user32.dll. :whistle: Maybe there was some conflict?

By the way,

regsvr32 propsys.dll 6.0.6001.18000

doesn't work...

6mOC8.png

0

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now

  • Recently Browsing   0 members

    No registered users viewing this page.